## ros-foxy-py-trees-ros 2.1.1

=== debian/changelog ===
ros-foxy-py-trees-ros (2.1.1-3focal) focal; urgency=high

  * [trees] publish with/without memory information (supports new selector/sequence modes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 May 2021 04:00:00 -0000

ros-foxy-py-trees-ros (2.1.0-3focal) focal; urgency=high

  * [infra] update for api changes in py_trees 2.1.0 (Chooser no longer supported)
  * [infra] update for api changes in ros2 foxy (not breaking changes)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Aug 2020 04:00:00 -0000

ros-foxy-py-trees-ros (2.0.11-3focal) focal; urgency=high

  * [blackboards] log a one-shot warning instead of exceptions when pickle fails, #156 <https://github.com/splintered-reality/py_trees_ros/pull/156>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Mar 2020 04:00:00 -0000

ros-foxy-py-trees-ros (2.0.10-3focal) focal; urgency=high

  * [mock] server bugfixed to accommodate custom result handlers, #154 <https://github.com/splintered-reality/py_trees_ros/pull/154>

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Mar 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.9-3focal) focal; urgency=high

  * [behaviours] default to periodic checks with warnings for action client timeouts, #153 <https://github.com/splintered-reality/py_trees_ros/pull/153>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 05 Mar 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.8-3focal) focal; urgency=high

  * [behaviours] wait_for_server_timeout_sec in action clients, #152 <https://github.com/splintered-reality/py_trees_ros/pull/152>
  * [trees] avoid irregular snapshot streams by avoiding timing jitter, #151 <https://github.com/splintered-reality/py_trees_ros/pull/151>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.7-3focal) focal; urgency=high

  * [programs] graph discovery timeouts 1.0->2.0s, #149 <https://github.com/splintered-reality/py_trees_ros/pull/149>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.6-3focal) focal; urgency=high

  * [behaviours] action client goals from blackboard behaviour, #148 <https://github.com/splintered-reality/py_trees_ros/pull/148>
  * [behaviours] publish from blackboard behaviour, #146 <https://github.com/splintered-reality/py_trees_ros/pull/146>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Feb 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.5-3focal) focal; urgency=high

  * [serialisation] include parallel policy details

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.4-3focal) focal; urgency=high

  * [blackboard] bugfix protection against activity stream not activitated for views, #140 <https://github.com/splintered-reality/py_trees_ros/pull/140>
  * [trees] bugfix toggle for activity client on reconfigure, #139 <https://github.com/splintered-reality/py_trees_ros/pull/139>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 30 Dec 2019 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.3-3focal) focal; urgency=high

  * [infra] add a marker file to assist with ros2cli discovery #138 <https://github.com/splintered-reality/py_trees_ros/pull/138>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.2-3focal) focal; urgency=high

  * [trees] on-demand snapshot stream services, similar to blackboard streams, #135 <https://github.com/splintered-reality/py_trees_ros/pull/135>, #136 <https://github.com/splintered-reality/py_trees_ros/pull/136>

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Dec 2019 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.1-3focal) focal; urgency=high

  * [trees] periodically publish snapshots, #131 <https://github.com/splintered-reality/py_trees_ros/pull/131>,
  * [trees] permit setup visitors, provide a default with timings, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] bugfix non-infinite timeout arg getting ignored, #129 <https://github.com/splintered-reality/py_trees_ros/pull/129>
  * [trees] snapshot now publishing tree changed flag and key access info, #128 <https://github.com/splintered-reality/py_trees_ros/pull/128>
  * [utilities] deprecate myargv for rclpy.utilities.remove_ros_args, #130 <https://github.com/splintered-reality/py_trees_ros/pull/130>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 03 Dec 2019 05:00:00 -0000

ros-foxy-py-trees-ros (2.0.0-3focal) focal; urgency=high

  * [blackboards] updated pretty printing to differentiate namespace vs attribute access, #123 <https://github.com/splintered-reality/py_trees_ros/pull/123>
  * [blackboards] api updates for namespaced clients, #122 <https://github.com/splintered-reality/py_trees_ros/pull/122>,
  * [tests] migrated tests from unittest to pytest
  * [transforms] behaviours for writing to and broadcasting from the blackboard, #121 <https://github.com/splintered-reality/py_trees_ros/pull/121>
  * [transforms] add missing mocks and update to latest blackboard api, #125 <https://github.com/splintered-reality/py_trees_ros/pull/125>

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 20 Nov 2019 05:00:00 -0000

ros-foxy-py-trees-ros (1.2.1-3focal) focal; urgency=high

  * [trees] bugfix KeyError on publication of missing keys, #118 <https://github.com/splintered-reality/py_trees_ros/pull/118>
  * [utilities] a ros myargv stipper, a'la ROS1 style, until something is available upstream

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Oct 2019 04:00:00 -0000

ros-foxy-py-trees-ros (1.2.0-3focal) focal; urgency=high

  * [blackboards] sweeping changes to accomodate the new blackboards with tracking, #109 <https://github.com/splintered-reality/py_trees_ros/pull/109>
  * [backend] ensure tree modifications are published with an updated timestamp, #100 <https://github.com/splintered-reality/py_trees_ros/pull/100>

